% Make 

clear all;clc;
OutDir = '/home/pmri/Ana/Utils/AAL2_ROI/';
AALname = '/home/pmri/Ana/Utils/ROI_MNI_V4.nii';
AALlabelsFile = '/home/pmri/Ana/Utils/AAL4Labels.xlsx';
AALlabels = readcell(AALlabelsFile);
V = spm_vol(AALname);
Y = spm_read_vols(V);
TempY = zeros(size(Y));
OldAALlabels = cell2mat(AALlabels(:,2));
NewAALlabels = cell2mat(AALlabels(:,1));
for i = 1:116
    Yindex = find(Y == OldAALlabels(i));
    TempY(Yindex) = 1;
    TempV = V;
    TempV.fname = [OutDir 'AAL_' num2str(NewAALlabels(i)) '.nii'];
    spm_write_vol(TempV, TempY);
    TempY = zeros(size(Y));
end