clear all;clc;

OutDir = '/home/pmri/Ana/Utils/WM_ROI/';
WMtractsname = '/home/pmri/Ana/Utils/JHU-ICBM-tracts-maxprob-thr0-2mm.nii';
V = spm_vol(WMtractsname);
Y = spm_read_vols(V);
WMtractsLabels = unique(Y);
TempY = zeros(size(Y));
for i = 2:length(WMtractsLabels)
    Yindex = find(Y == WMtractsLabels(i));
    TempY(Yindex) = WMtractsLabels(i);
    TempV = V;
    TempV.fname = [OutDir 'WMtracts_' num2str(WMtractsLabels(i)) '.nii'];
    spm_write_vol(TempV, TempY);
    TempY = zeros(size(Y));
end